Bug 2008321 - Add correct documentation link for MON_DISK_LOW
Summary: Add correct documentation link for MON_DISK_LOW
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Storage Plugin
Version: 4.10
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.10.0
Assignee: Pranshu Srivastava
QA Contact: Mugdha Soni
URL:
Whiteboard:
Depends On: 2008859
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-09-27 22:13 UTC by Pranshu Srivastava
Modified: 2022-03-10 16:14 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-03-10 16:13:54 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 10140 0 None open Bug 2008321: Add correct documentation link for MON_DISK_LOW 2021-09-27 22:17:27 UTC
Red Hat Product Errata RHSA-2022:0056 0 None None None 2022-03-10 16:14:14 UTC

Description Pranshu Srivastava 2021-09-27 22:13:21 UTC
Description of problem: We merged the doc link for MON_DISK_LOW a while back but it seems there was a typo in that (please refer https://issues.redhat.com/browse/RHSTOR-2060?focusedCommentId=19062579&page=com.atlassian.jira.plugin.system.issuetabpanels%3Acomment-tabpanel#comment-19062579).

How reproducible: Everytime.


Steps to Reproduce: In order to reproduce the warning as shown in the attached screenshot, you need to:
1. Install `fio` in one of the mon pods.
2. Fill up space in the associated PV by `fio --name=fio-rand-readwrite --filename=/var/lib/ceph/mon/ceph-b/fiofile --readwrite=randrw --bs=4K  --direct=1 --numjobs=1 --time_based=1 --runtime=3600000000 --size=40G --iodepth=8 --rwmixread=75 --ioengine=libaio` (if the pod belonged to the deployment called rook-ceph-mon-b).
3. Check the OCS dashboard and click on the Storage Cluster hyperlink to toggle the popover.

Actual results: Popover shows the aforementioned warning with the wrong troubleshoot link.


Expected results: Popover shows the aforementioned warning with the correct troubleshoot link.

Comment 6 Mugdha Soni 2021-10-27 12:43:43 UTC
Hi Pranshu ,

As https://bugzilla.redhat.com/show_bug.cgi?id=2008859 was verified , i tried again to validate the fix and encountered the issue mentioned in comment#4.

** Cleared the browser cache and even refreshed the URL , but still 404 error was encountered.

Please guide here .

Thanks 
Mugdha Soni

Comment 9 Mugdha Soni 2021-11-02 10:07:30 UTC
Hi Erin,

Can you share the troubleshooting guide/document so that i can review it before soon before GA ?



Thanks 
Mugdha Soni

Comment 11 Mugdha Soni 2021-11-09 09:04:43 UTC
Hi

Since the link is present for MON_DISK_LOW ( screenshot for same is attached in comment#10) moving this bug to verified state .

The troubleshooting guide still gives an 404 error and a different bug will be filed for that issue .


Thanks 
Mugdha Soni

Comment 16 errata-xmlrpc 2022-03-10 16:13:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.10.3 security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:0056


Note You need to log in before you can comment on or make changes to this bug.